# Uses of Class
org.apache.commons.math3.genetics.AbstractListChromosome

Packages that use AbstractListChromosome
Package
Description
org.apache.commons.math3.genetics
This package provides Genetic Algorithms components and implementations.

## Uses of AbstractListChromosome in org.apache.commons.math3.genetics

Subclasses of AbstractListChromosome in org.apache.commons.math3.genetics
Modifier and Type
Class
Description
`class`
`BinaryChromosome`
Chromosome represented by a vector of 0s and 1s.
`class`
`RandomKey<T>`
Random Key chromosome is used for permutation representation.
Methods in org.apache.commons.math3.genetics that return AbstractListChromosome
Modifier and Type
Method
Description
`abstract AbstractListChromosome<T>`
AbstractListChromosome.`newFixedLengthChromosome(List<T> chromosomeRepresentation)`
Creates a new instance of the same class as `this` is, with a given `arrayRepresentation`.
Methods in org.apache.commons.math3.genetics with parameters of type AbstractListChromosome
Modifier and Type
Method
Description
`protected ChromosomePair`
CycleCrossover.`mate(AbstractListChromosome<T> first, AbstractListChromosome<T> second)`
Helper for `CycleCrossover.crossover(Chromosome, Chromosome)`.
`protected ChromosomePair`
OrderedCrossover.`mate(AbstractListChromosome<T> first, AbstractListChromosome<T> second)`
Helper for `OrderedCrossover.crossover(Chromosome, Chromosome)`.